Package Details: mate-settings-daemon-dev 1.23.2-5

Git Clone URL: https://aur.archlinux.org/mate-settings-daemon-dev.git (read-only)
Package Base: mate-settings-daemon-dev
Description: The MATE Settings daemon (GTK3 version)
Upstream URL: http://mate-desktop.org
Licenses: GPL
Groups: mate
Conflicts: mate-settings-daemon, mate-settings-daemon-gstreamer, mate-settings-daemon-gtk3, mate-settings-daemon-pulseaudio
Provides: mate-settings-daemon, mate-settings-daemon-gtk3
Replaces: mate-settings-daemon-gstreamer, mate-settings-daemon-pulseaudio
Submitter: nicman23
Maintainer: nicman23
Last Packager: nicman23
Votes: 0
Popularity: 0.000000
First Submitted: 2016-08-09 08:07
Last Updated: 2019-09-17 08:23

Latest Comments

FredBezies commented on 2019-08-29 10:43

Updated PKGBUILD:

# Maintainer:   Νικόλαος Κυριάκος Φυτίλης <n-fit@live.com>
# Contributor:  eadrom <eadrom@archlinux.info>
# Contributor:  Martin Wimpress <code@flexion.org>

_ver=1.23
_pkgbase=mate-settings-daemon
pkgname="${_pkgbase}-dev"
pkgver=${_ver}.2
pkgrel=1
pkgdesc="The MATE Settings daemon"
url="http://mate-desktop.org"
arch=('i686' 'x86_64')
provides=("${_pkgbase}" "${_pkgbase}-gtk3")
license=('GPL')
depends=('dbus-glib' 'dconf' 'fontconfig' 'glib2' 'gtk3' 'gtk-update-icon-cache'
         'libcanberra-pulse' 'libmatekbd>=1.21' 'libmatemixer>=1.21' 'libnotify'
         'libxt' 'mate-desktop>=1.21' 'nss' 'polkit')
makedepends=('mate-common>=1.20' 'gtk3' 'libmatekbd>=1.21' 'mate-desktop>=1.21')
groups=('mate')
replaces=("${_pkgbase}-gstreamer" "${_pkgbase}-pulseaudio")
conflicts=("${_pkgbase}" "${_pkgbase}-gtk3" "${_pkgbase}-gstreamer" "${_pkgbase}-pulseaudio")
source=("http://pub.mate-desktop.org/releases/${_ver}/${_pkgbase}-${pkgver}.tar.xz")
sha1sums=('8c88f2b83b6d0500afae9e5700b55adb2fd082d2')

prepare() {
    cd "${srcdir}"
    mv "${_pkgbase}-${pkgver}" "${_pkgbase}-gtk3"
}

build() {
    cd "${srcdir}/${_pkgbase}-gtk3"
    ./configure \
        --prefix=/usr \
        --libexecdir=/usr/lib/${_pkgbase} \
        --sysconfdir=/etc \
        --with-gtk=3.0 \
        --enable-polkit \
        --disable-static
    make
}

package() {
    pkgdesc+=' (GTK3 version)'
    cd "${srcdir}/${_pkgbase}-gtk3"
    make DESTDIR="${pkgdir}" install
}